# InteractiveSettings Struct Reference

List of all members.

## Public Types
enum | ERendererType { kMetaSoftware = 0, kOpenGLHardware = 1, kD3DHardware = 2 }
enum | ERenderMode { kRenderMode_None = 0, kRenderMode_BoundingBox = 1, kRenderMode_Wireframe = 2, kRenderMode_LitWireframe = 3, kRenderMode_Flat = 10, kRenderMode_Gouraud = 11, kRenderMode_Phong = 12, kRenderMode_Textured = 13, kRenderMode_ShadowBuffer = 14, kRenderMode_NPR = 15, kRenderMode_Sketch = 20, kRenderMode_Max = 0x7fffffff }
enum | ESilhouetteMode { kSilhouette_BoxOnly = 0, kSilhouette_ActivePlane = 1, kSilhouette_AllPlanes = 2, kSilhouette_None = 3 }
enum | ESilhouetteColorMode { kSilhouetteColor_Constant = 0, kSilhouetteColor_Object = 1 }
enum | ELightingMode { kLightingMode_Lighting = 0, kLightingMode_LightMapGlobalSpace = 1, kLightingMode_LightMapEyeSpace = 2, kLightingMode_LightMapAndLighting = 3, kLightingMode_Max = 0x7fffffff }
enum | EWorkingBoxLook { kWorkingBoxLook_WireGrid = 0, kWorkingBoxLook_SolidGrid = 1, kWorkingBoxLook_TransparentGrid = 2, kWorkingBoxLook_CheckeredGrid = 3, kWorkingBoxLook_Max = 0x7fffffff }
enum | EGroundPlaneLook { kGroundPlaneLook_None = 0, kGroundPlaneLook_WireGrid = 1, kGroundPlaneLook_OpaqueGrid = 2, kGroundPlaneLook_SolidGrid = 3, kGroundPlaneLook_Max = 0x7fffffff }
enum | ERenderActivity { kRenderActivity_None = 0, kRenderActivity_TimeLoop = 1, kRenderActivity_TimeChanged = 2, kRenderActivity_PanLoop = 3, kRenderActivity_Zoom = 4, kRenderActivity_Selection = 5, kRenderActivity_TrackLoop = 6, kRenderActivity_UpdateLight = 7, kRenderActivity_UpdateTexture = 8, kRenderActivity_UpdateBackdrop = 9, kRenderActivity_CameraOrbitLoop = 10, kRenderActivity_CameraTranslateLoop = 11, kRenderActivity_CameraTranslateXYLoop = 12, kRenderActivity_RenderAll = 13, kRenderActivity_InteractiveHilite = 14, kRenderActivity_Max = 0x7fffffff }

## Detailed Description

This struct defines a number of constants that are used for the interactive renderer.

## Member Enumeration Documentation

enum InteractiveSettings::EGroundPlaneLook

Enumerator:

  kGroundPlaneLook_None |
  kGroundPlaneLook_WireGrid |
  kGroundPlaneLook_OpaqueGrid |
  kGroundPlaneLook_SolidGrid |
  kGroundPlaneLook_Max |

enum InteractiveSettings::ELightingMode

Enumerator:

  kLightingMode_Lighting |
  kLightingMode_LightMapGlobalSpace |
  kLightingMode_LightMapEyeSpace |
  kLightingMode_LightMapAndLighting |
  kLightingMode_Max |

enum InteractiveSettings::ERenderActivity

Enumerator:

  kRenderActivity_None |
  kRenderActivity_TimeLoop |
  kRenderActivity_TimeChanged |
  kRenderActivity_PanLoop |
  kRenderActivity_Zoom |
  kRenderActivity_Selection |
  kRenderActivity_TrackLoop |
  kRenderActivity_UpdateLight |
  kRenderActivity_UpdateTexture |
  kRenderActivity_UpdateBackdrop |
  kRenderActivity_CameraOrbitLoop |
  kRenderActivity_CameraTranslateLoop |
  kRenderActivity_CameraTranslateXYLoop |
  kRenderActivity_RenderAll |
  kRenderActivity_InteractiveHilite |
  kRenderActivity_Max |

enum InteractiveSettings::ERendererType

Enumerator:

  kMetaSoftware |
  kOpenGLHardware |
  kD3DHardware |

enum InteractiveSettings::ERenderMode

Enumerator:

  kRenderMode_None |
  kRenderMode_BoundingBox |
  kRenderMode_Wireframe |
  kRenderMode_LitWireframe |
  kRenderMode_Flat |
  kRenderMode_Gouraud |
  kRenderMode_Phong |
  kRenderMode_Textured |
  kRenderMode_ShadowBuffer |
  kRenderMode_NPR |
  kRenderMode_Sketch |
  kRenderMode_Max |

enum InteractiveSettings::ESilhouetteColorMode

Enumerator:

  kSilhouetteColor_Constant |
  kSilhouetteColor_Object |

enum InteractiveSettings::ESilhouetteMode

Enumerator:

  kSilhouette_BoxOnly |
  kSilhouette_ActivePlane |
  kSilhouette_AllPlanes |
  kSilhouette_None |

enum InteractiveSettings::EWorkingBoxLook

Enumerator:

  kWorkingBoxLook_WireGrid |
  kWorkingBoxLook_SolidGrid |
  kWorkingBoxLook_TransparentGrid |
  kWorkingBoxLook_CheckeredGrid |
  kWorkingBoxLook_Max |

The documentation for this struct was generated from the following file:

- InteractiveRenderDefs.h